All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
problem.hxx File Reference
`#include <algorithm>`
`#include <stdexcept>`
`#include <boost/type_traits/is_pointer.hpp>`
`#include <boost/type_traits/remove_pointer.hpp>`
`#include <boost/variant.hpp>`
`#include <boost/variant/get.hpp>`
`#include <boost/variant/apply_visitor.hpp>`
`#include <roboptim/core/indent.hh>`
`#include <roboptim/core/terminal-color.hh>`
`#include <roboptim/core/util.hh>`

## Classes

struct | roboptim::detail::printConstraint< P >

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.
| roboptim::detail

## Functions

template<typename F >
std::ostream & | roboptim::operator<< (std::ostream &o, const Problem< F, boost::mpl::vector<> > &pb)
| Override operator<< to handle problem display. More...
template<typename T >
std::ostream & | roboptim::detail::impl_print (std::ostream &o, const T *t)
template<typename T >
std::ostream & | roboptim::detail::impl_print (std::ostream &o, const T &t)
template<typename F , typename CLIST >
std::ostream & | roboptim::operator<< (std::ostream &o, const Problem< F, CLIST > &pb)
| Override operator<< to handle problem display. More...